# http://developer.enertalk.com/my-apps/

CLIENTID='id'
CLIENTSECRET='secret'
CODE='authorization code'

# Basic Auth 생성
BASE64=$(echo -n "$CLIENTID:$CLIENTSECRET" | base64)
echo $BASE64 | sed -e 's/\ //g' > /config/enertalk/Basic_Auth.txt

# Get Token JSON
curl -X POST -H "Content-Type: application/json" -d '{ "client_id": "'$CLIENTID'", "client_secret": "'$CLIENTSECRET'", "grant_type": "authorization_code", "code": "'$CODE'" }' -ss "https://auth.enertalk.com/token" > /config/enertalk/get_token.txt


# Save Token to TXT
ACCESS_TOKEN=`cat /config/enertalk/get_token.txt | sed -e 's/\,/\\n/g' | grep access_token | sed -e 's/\"/\\n/g' | tail -2 | head -1`
if [ ! -z $ACCESS_TOKEN ]; then
	echo -n $ACCESS_TOKEN > /config/enertalk/access_token.txt
fi
REFRESH_TOKEN=`cat /config/enertalk/get_token.txt | sed -e 's/\,/\\n/g' | grep refresh_token | sed -e 's/\"/\\n/g' | tail -2 | head -1`
if [ ! -z $REFRESH_TOKEN ]; then
	echo -n $REFRESH_TOKEN > /config/enertalk/refresh_token.txt
fi


# Get SiteID to JSON
curl -X GET -H "Authorization: Bearer $ACCESS_TOKEN"  -H "accept-version: 2.0.0" -ss "https://api2.enertalk.com/sites" > /config/enertalk/get_siteid.txt

# Save SiteID to TXT
SITEID=`cat /config/enertalk/get_siteid.txt | sed -e 's/\,/\\n/g' | grep id | sed -e 's/\"/\\n/g' | tail -2 | head -1`
if [ ! -z $SITEID ]; then
	echo -n $SITEID > /config/enertalk/siteid.txt
fi