ACCESS=`cat /config/enertalk/access_token.txt`
SITEID=`cat /config/enertalk/siteid.txt`

TIME_YESTERDAY=`date -d 'yesterday 00:00:00' +"%s%N" | cut -b -13`
TIME_TODAY=`date -d 'today 00:00:00' +"%s%N" | cut -b -13`

YESTERDAY=$(curl -X GET -H "Authorization: Bearer $ACCESS" -H "accept-version: 2.0.0" -ss "https://api2.enertalk.com/sites/$SITEID/usages/billing?period=hour&start=$TIME_YESTERDAY")
if [ ! -z "$YESTERDAY" ]; then
	echo $YESTERDAY > /config/enertalk/billing_yesterday.txt
fi

TODAY=$(curl -X GET -H "Authorization: Bearer $ACCESS" -H "accept-version: 2.0.0" -ss "https://api2.enertalk.com/sites/$SITEID/usages/billing?period=hour&start=$TIME_TODAY")
if [ ! -z "$TODAY" ]; then
	echo $TODAY > /config/enertalk/billing_today.txt
fi

MONTH=$(curl -X GET -H "Authorization: Bearer $ACCESS" -H "accept-version: 2.0.0" -ss "https://api2.enertalk.com/sites/$SITEID/usages/billing")
if [ ! -z "$MONTH" ]; then
	echo $MONTH > /config/enertalk/billing_month.txt
fi

ESTIMATE=$(curl -X GET -H "Authorization: Bearer $ACCESS" -H "accept-version: 2.0.0" -ss "https://api2.enertalk.com/sites/$SITEID/usages/billing?timeType=pastToFuture")
if [ ! -z "$ESTIMATE" ]; then
	echo $ESTIMATE > /config/enertalk/billing_estimate.txt
fi